webpack4配置（已含babel以及babel-polyfill），发布在公司私有npm仓库中。

## 安装

```bash
$ npm i ne-webpack-config --save-dev
```

## config配置目录

 类型 | 文件目录 
--- |--- 
vue dashboard dev | ne-webpack-config/vue_dashboard/webpack.dev.js 
vue dashboard prod | ne-webpack-config/vue_dashboard/webpack.prod.js 
vue h5 dev | ne-webpack-config/vue_h5/webpack.dev.js 
vue h5 prod | ne-webpack-config/vue_h5webpack.prod.js 

## config配置js对象

```js
const { vue_dashboard_dev, vue_dashboard_prod, vue_h5_dev, vue_h5_prod } = require('ne-webpack-config');
```

## 示例

### 1.开发模式，和ne-koa-entry结合使用，详情查看[ne-koa-entry文档](http://git.nx-code.com/ne-fe/ne-koa-entry)

server/index.js

```js
app.use(koaEntry(
  [ webRoot ],
  process.env.NODE_ENV === 'development' ? require('ne-webpack-config').vue_dashboard_dev : ''
));
```

package.json

```json
{
    "scripts":{
        "dev":"cross-env NODE_ENV=development node server/server.js"
    }
}
```

### 2.生产模式

package.json
```json
{
    "scripts":{
        "build":"webpack --config ./node_modules/ne-webpack-config/vue_dashboard/webpack.prod.js --profile --progress --bail --display-error-details"
    }
}
```

- --config后面的路径按需修改，如果该工程选择另外的配置或者将ne-webpack-config配置进行自定义扩展。